osmo_isdnhdlc_vars Struct Reference

`#include <isdnhdlc.h>`

## Data Fields

int | bit_shift
int | hdlc_bits1
int | data_bits
int | ffbit_shift
int | state
int | dstpos
uint16_t | crc
uint8_t | cbin
uint8_t | shift_reg
uint8_t | ffvalue
uint32_t | data_received:1
uint32_t | dchannel:1
uint32_t | do_adapt56:1
uint32_t | do_closing:1
uint32_t | do_bitreverse:1

## Field Documentation

## bit_shift

int osmo_isdnhdlc_vars::bit_shift

Referenced by osmo_isdnhdlc_decode(), and osmo_isdnhdlc_encode().

## cbin

uint8_t osmo_isdnhdlc_vars::cbin

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), and osmo_isdnhdlc_out_init().

## crc

uint16_t osmo_isdnhdlc_vars::crc

Referenced by check_frame(), osmo_isdnhdlc_decode(), and osmo_isdnhdlc_encode().

## data_bits

int osmo_isdnhdlc_vars::data_bits

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), and osmo_isdnhdlc_out_init().

## data_received

uint32_t osmo_isdnhdlc_vars::data_received

Referenced by osmo_isdnhdlc_decode(), and osmo_isdnhdlc_encode().

## dchannel

uint32_t osmo_isdnhdlc_vars::dchannel

Referenced by osmo_isdnhdlc_encode(), and osmo_isdnhdlc_out_init().

## do_adapt56

uint32_t osmo_isdnhdlc_vars::do_adapt56

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), osmo_isdnhdlc_out_init(), and osmo_isdnhdlc_rcv_init().

## do_bitreverse

uint32_t osmo_isdnhdlc_vars::do_bitreverse

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), osmo_isdnhdlc_out_init(), and osmo_isdnhdlc_rcv_init().

## do_closing

uint32_t osmo_isdnhdlc_vars::do_closing

Referenced by osmo_isdnhdlc_encode().

## dstpos

int osmo_isdnhdlc_vars::dstpos

Referenced by check_frame(), and osmo_isdnhdlc_decode().

## ffbit_shift

int osmo_isdnhdlc_vars::ffbit_shift

Referenced by osmo_isdnhdlc_decode().

## ffvalue

uint8_t osmo_isdnhdlc_vars::ffvalue

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), and osmo_isdnhdlc_out_init().

## hdlc_bits1

int osmo_isdnhdlc_vars::hdlc_bits1

Referenced by osmo_isdnhdlc_decode(), and osmo_isdnhdlc_encode().

## shift_reg

uint8_t osmo_isdnhdlc_vars::shift_reg

Referenced by osmo_isdnhdlc_decode(), and osmo_isdnhdlc_encode().

## state

int osmo_isdnhdlc_vars::state

Referenced by osmo_isdnhdlc_decode(), osmo_isdnhdlc_encode(), osmo_isdnhdlc_out_init(), and osmo_isdnhdlc_rcv_init().

The documentation for this struct was generated from the following file:

- include/osmocom/core/isdnhdlc.h